Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.ui
Class Navigator.TreeMouseListener

    java.lang.Object
      java.awt.event.MouseAdapter
          com.eviware.soapui.ui.Navigator.TreeMouseListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.util.EventListener

Enclosing class:
  Navigator

    public class Navigator.TreeMouseListener

extends java.awt.event.MouseAdapter

Constructor Summary
`Navigator.TreeMouseListener()`

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.TreeMouseListener

    public Navigator.TreeMouseListener()

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `java.awt.event.MouseAdapter`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `java.awt.event.MouseAdapter`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `java.awt.event.MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.